/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PaisDAO;
import com.rjconsultores.ventaboletos.entidad.Pais;
import com.rjconsultores.ventaboletos.service.PaisService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("paisService")
public class PaisServiceImpl implements PaisService {

    @Autowired
    private PaisDAO paisDAO;

    public List<Pais> obtenerTodos() {
        return paisDAO.obtenerTodos();
    }

    public Pais obtenerID(Integer id) {
        return paisDAO.obtenerID(id);
    }

    @Transactional
    public Pais suscribir(Pais entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paisDAO.suscribir(entidad);
    }

    @Transactional
    public Pais actualizacion(Pais entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paisDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(Pais entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        paisDAO.actualizacion(entidad);
    }

    public List<Pais> buscar(String nombpais) {
        return paisDAO.buscar(nombpais);
    }
}
